Create contact and inquiry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/propertybasese/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PropertyBaseSE MCP server": {
    "url": "https://apidocs.lwolf.com/doc/propertybasese/mcp"
  }
}

Close
POST /services/apexrest/pba/webtoprospect/v1/

Submit website leads to create contacts and inquiries in Propertybase. Supports duplicate detection.

application/json

Body Required

  • prospect object Required
    Hide prospect attributes Show prospect attributes object
    • token string

      Required for anonymous calls only

    • contact object Required
      Hide contact attributes Show contact attributes object
      • FirstName string
      • LastName string Required
      • Email string(email)
      • Phone string
      • MobilePhone string
      • OwnerId string

        Salesforce User ID to assign record

    • request object

      Inquiry/search criteria data

      Hide request attributes Show request attributes object
      • pba__Bedrooms_pb_min__c number
      • pba__Bedrooms_pb_max__c number
      • pba__FullBathrooms_pb_min__c number
      • pba__FullBathrooms_pb_max__c number
    • favoriteListings array[string]

      Array of listing IDs to link to inquiry

    • contactFields array[string]

      Contact fields to return in response

    • requestFields array[string]

      Inquiry fields to return in response

    • ownerFields array[string]

      Owner user fields to return in response

Responses

  • 200 application/json

    Prospect created successfully

    Hide response attributes Show response attributes object
    • errorMessage string | null

      Error message or null if successful

    • contact object

      Returned contact data

    • request object

      Returned inquiry data

    • owner object

      Returned owner user data

  • 400

    Invalid request or missing required fields

  • 401

    Authentication failed

POST /services/apexrest/pba/webtoprospect/v1/
curl \
 --request POST 'https://yourendpoint/services/apexrest/pba/webtoprospect/v1/' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "prospect": {
    "token": "string",
    "contact": {
      "FirstName": "string",
      "LastName": "string",
      "Email": "hello@example.com",
      "Phone": "string",
      "MobilePhone": "string",
      "OwnerId": "string"
    },
    "request": {
      "pba__Bedrooms_pb_min__c": 42.0,
      "pba__Bedrooms_pb_max__c": 42.0,
      "pba__FullBathrooms_pb_min__c": 42.0,
      "pba__FullBathrooms_pb_max__c": 42.0
    },
    "favoriteListings": [
      "string"
    ],
    "contactFields": [
      "string"
    ],
    "requestFields": [
      "string"
    ],
    "ownerFields": [
      "string"
    ]
  }
}'
Request examples
{
  "prospect": {
    "token": "string",
    "contact": {
      "FirstName": "string",
      "LastName": "string",
      "Email": "hello@example.com",
      "Phone": "string",
      "MobilePhone": "string",
      "OwnerId": "string"
    },
    "request": {
      "pba__Bedrooms_pb_min__c": 42.0,
      "pba__Bedrooms_pb_max__c": 42.0,
      "pba__FullBathrooms_pb_min__c": 42.0,
      "pba__FullBathrooms_pb_max__c": 42.0
    },
    "favoriteListings": [
      "string"
    ],
    "contactFields": [
      "string"
    ],
    "requestFields": [
      "string"
    ],
    "ownerFields": [
      "string"
    ]
  }
}
Response examples (200)
{
  "errorMessage": "string",
  "contact": {},
  "request": {},
  "owner": {}
}